package de.intevation.flys.client.server;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;


public class BaseServlet extends HttpServlet {

    private static Logger logger = Logger.getLogger(BaseServlet.class);


    @Override
    public void init()
    throws ServletException
    {
        System.out.println("BaseServlet.init");

        String log4jProperties = getInitParameter("log4j-properties");

        if (log4jProperties != null && log4jProperties.length() > 0) {
            String file = getServletContext().getRealPath(log4jProperties);

            PropertyConfigurator.configure(file);

            logger.info("Log4J logging initialized.");
        }
        else {
            System.out.println("Error while setting up Log4J configuration.");
        }

        System.out.println("BaseServlet.init finished");
    }
}
